﻿using System.Collections.ObjectModel;

namespace CustomXamGrid
{
    public partial class MainPage
    {
        
        public MainPage()
        {
            this.DataContext = this;
            InitializeComponent();

            var listeCategorie = new ObservableCollection<Categorie>{new Categorie
                                                                         {
                                                                             Libelle = "Logiciels",
                                                                             Description = "blabla",
                                                                             Date = "par la",
                                                                             Raccourcis = new ObservableCollection<Raccourci>{new Raccourci{Libelle = "Word",Chemin = "par la"}}
                                                                         },
            new Categorie
                                                                         {
                                                                             Libelle = "Dossier",
                                                                             Description = "blabla",
                                                                             Date = "par la",
                                                                             Raccourcis = new ObservableCollection<Raccourci>{new Raccourci{Libelle = "Images",Chemin = "par ici"}}
                                                                         },new Categorie
                                                                         {
                                                                             Libelle = "Liens externes",
                                                                             Description = "blabla",
                                                                             Date = "par la",
                                                                             Raccourcis = new ObservableCollection<Raccourci>{new Raccourci{Libelle = "L'équipe",Chemin = "par lou"}}
                                                                         }};

            this.xamGridFlux2.ItemsSource = listeCategorie;
        }

    }

    public class Categorie
    {
        public string Libelle { get; set; }
        public string Description { get; set; }
        public string Date { get; set; }
        public string Priorite { get; set; }
        public ObservableCollection<Raccourci> Raccourcis { get; set; } 
    }

    public class Raccourci
    {
        public string Libelle { get; set; }
        public string Chemin { get; set; }
    }
}
